Page MenuHomePhabricator

mediawiki.legacy.commonPrint module should be loaded with a media type property
Closed, DeclinedPublic

Description

If we loaded mediawiki.legacy.commonPrint via a separate style tag with media="print", it wouldn't block rendering.

Event Timeline

ori created this task.Aug 8 2015, 12:24 AM
ori updated the task description. (Show Details)
ori raised the priority of this task from to Needs Triage.
ori added a project: Performance-Team.
ori added a subscriber: ori.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 8 2015, 12:24 AM
ori set Security to None.
ori added a comment.Aug 8 2015, 3:37 AM

T51722 is about JS-added CSS, which this isn't. And I don't see how T24256 is related at all. Am I missing something?

Am I missing something?

No, I misunderstood what this bug was about.

Should this be done for just media => print or all media types like screen, etc.?

ori added a comment.Aug 8 2015, 8:19 AM

Should this be done for just media => print or all media types like screen, etc.?

Ideally all stylesheets which apply only to specific media will declare their media type. Practically speaking, the benefit will come almost entirely from splitting off media=print stylesheets into a separate link tag.

Change 230487 had a related patch set uploaded (by Legoktm):
Load 'mediawiki.legacy.commonPrint' styles with a media type property

https://gerrit.wikimedia.org/r/230487

Ideally all stylesheets which apply only to specific media will declare their media type. Practically speaking, the benefit will come almost entirely from splitting off media=print stylesheets into a separate link tag.

I went with a very simple solution for now by creating a separate 'print' group, and modules that set it will use a separate <style media="print"> tag. This doesn't help for things like mediawiki.action.history.diff which has a media=>print style-sheet and a media=>all style-sheet.

Change 230487 merged by jenkins-bot:
Load 'mediawiki.legacy.commonPrint' styles with a media type property

https://gerrit.wikimedia.org/r/230487

Change 230575 had a related patch set uploaded (by Ori.livneh):
Load 'mediawiki.legacy.commonPrint' styles with a media type property

https://gerrit.wikimedia.org/r/230575

Change 230575 merged by jenkins-bot:
Load 'mediawiki.legacy.commonPrint' styles with a media type property

https://gerrit.wikimedia.org/r/230575

ori assigned this task to Legoktm.Aug 10 2015, 5:03 PM
ori closed this task as Resolved.
matmarex changed the task status from Resolved to Declined.Sep 10 2015, 6:15 PM
matmarex added a subscriber: matmarex.

The change was reverted per T108727.